Mail archive
alpine-aports

[alpine-aports] [PATCH 9/9] testing/gcalcli: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:11 -0500

https://github.com/insanum/gcalcli
Google Calendar Command Line Interface
---
 testing/gcalcli/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/gcalcli/APKBUILD
diff --git a/testing/gcalcli/APKBUILD b/testing/gcalcli/APKBUILD
new file mode 100644
index 0000000..3324d86
--- /dev/null
+++ b/testing/gcalcli/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=gcalcli
+_pkgname=gcalcli
+pkgver=3.2
+pkgrel=0
+pkgdesc="Google Calendar Command Line Interface"
+url="https://github.com/insanum/gcalcli"
+arch="noarch"
+license="MIT"
+depends="python py-google-api-python-client py-dateutil py-gflags py-vobject"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5deba37645e07bc59c51d76b92da0697  gcalcli-3.2.tar.gz"
+sha256sums="1a4dda5f0871846c45a5864114724a423e33d5942f933d83c57467589246ac01  gcalcli-3.2.tar.gz"
+sha512sums="4c3c3b78d8622a6c4481139410d8520b8a8d448d69f7d1c6337ec2739883a1015018aef3ebc70632544d0089bfbe8d57df2a004733fa47ae008ad547738e4b4c  gcalcli-3.2.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:11 GMT